Package org.opensaml.core.xml.schema

# Interface XSString

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Action`, `Action`, `Artifact`, `AssertionArtifact`, `AssertionIDRef`, `AssertionIDReference`, `AttributedDateTime`, `AttributedString`, `BinaryExchange`, `BinarySecurityToken`, `CarriedKeyName`, `Challenge`, `Company`, `Created`, `DerivedKeyName`, `Description`, `DescriptionType`, `DisplayName`, `DomainHint`, `EncodedString`, `EncType`, `Expires`, `FaultString`, `GivenName`, `IdReferenceType`, `IPHint`, `Issuer`, `KeyIdentifier`, `KeyName`, `LocalizedName`, `MasterKeyName`, `MgmtData`, `NameID`, `NameIdentifier`, `NameIDType`, `NewID`, `Nonce`, `OrganizationDisplayName`, `OrganizationName`, `Password`, `Reason`, `RelayState`, `RespondTo`, `ServiceDescription`, `ServiceName`, `SessionIndex`, `SourceID`, `StatusMessage`, `StatusMessage`, `StatusMessageType`, `SurName`, `TelephoneNumber`, `Username`, `X509IssuerName`, `X509SubjectName`, `XPath`

All Known Implementing Classes:
  `AbstractNameIDType`, `ActionImpl`, `ActionImpl`, `ArtifactImpl`, `AssertionArtifactImpl`, `AssertionIDReferenceImpl`, `AssertionIDRefImpl`, `AttributedDateTimeImpl`, `AttributedStringImpl`, `BinaryExchangeImpl`, `BinarySecurityTokenImpl`, `CarriedKeyNameImpl`, `ChallengeImpl`, `CompanyImpl`, `CreatedImpl`, `DerivedKeyNameImpl`, `DescriptionImpl`, `DescriptionTypeImpl`, `DisplayNameImpl`, `DomainHintImpl`, `EncodedStringImpl`, `EncTypeImpl`, `ExpiresImpl`, `FaultStringImpl`, `GivenNameImpl`, `IdReferenceTypeImpl`, `IPHintImpl`, `IssuerImpl`, `KeyIdentifierImpl`, `KeyNameImpl`, `LocalizedNameImpl`, `MasterKeyNameImpl`, `MgmtDataImpl`, `NameIdentifierImpl`, `NameIDImpl`, `NewIDImpl`, `NonceImpl`, `OrganizationDisplayNameImpl`, `OrganizationNameImpl`, `PasswordImpl`, `ReasonImpl`, `RelayStateImpl`, `RespondToImpl`, `ServiceDescriptionImpl`, `ServiceNameImpl`, `SessionIndexImpl`, `SourceIDImpl`, `StatusMessageImpl`, `StatusMessageImpl`, `StatusMessageTypeImpl`, `SurNameImpl`, `TelephoneNumberImpl`, `UsernameImpl`, `X509IssuerNameImpl`, `X509SubjectNameImpl`, `XPathImpl`, `XSStringImpl`

public interface XSString extends XMLObject
XMLObject that represents an XML Schema String.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the string.
`void`
`setValue(String newValue)`
Sets the string.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable String getValue()
Gets the string.

Returns:
  the string

### setValue

void setValue(@Nullable String newValue)
Sets the string.

Parameters:
  `newValue` - the string value